Skip to main content
HTTP API

Cancel task

Request parameters, responses and code examples.

POST
https://ap-southeast-1.maas.qwencloudapi.com/api/v1/tasks/{task_id}/cancel
cURL
# Singapore (ap-southeast-1). For another region, replace ap-southeast-1 in the URL.
# API keys are region-specific. See https://docs.qwencloud.com/developer-guides/getting-started/regions
curl -X POST 'https://ap-southeast-1.maas.qwencloudapi.com/api/v1/tasks/73205176-xxxx-xxxx-xxxx-16bd5d902219/cancel' \
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
"45ac7f13-xxxx-xxxx-xxxx-e03c35068d83"
See the complete workflow and descriptions in Manage asynchronous tasks.

Authorizations

string
header
required

Path Parameters

string
required

The task ID to cancel.

The ID of the task to cancel.

Response

200-application/json
string
string

Request ID string documented by the EN source.